##############################################################################
#
#	Copyright (c) GeoWorks 1990, 1994 -- All Rights Reserved
#
# PROJECT:	GEOS
# MODULE:	SDK_C/InkTest
# FILE:		inktest.gp
#
# AUTHOR:	Andrew Wilson, June 12, 1991
#
# DESCRIPTION:	This file contains Geode definitions for the "InkTest" sample
#		application. This file is read by the GLUE linker to
#		build this application.
#
#IMPORTANT:
#
# RCS STAMP:
#	$Id: inktest.gp,v 1.1.19.3 94/02/07 18:40:49 jenny Exp $
#
##############################################################################
#
name inktest.app
#
longname "C Ink Test"
#
type	appl, process
#
class	InkTestProcessClass
#
appobj	InkTestApp
#
tokenchars "SAMP"
tokenid 8
#
heapspace 6307
#
library	geos
library	ui
library pen
library inkfix

#
# Resources: list all resource blocks which are used by the application.
# (standard discardable code resources do not need to be mentioned).
#
resource APPRESOURCE ui-object
resource DISPLAYUI ui-object
resource INTERFACE ui-object
resource DOCUMENTUI object

export InkTestProcessClass
export InkTestDocumentClass


