##############################################################################
#
#	Copyright (c) GeoWorks 1990, 1994 -- All Rights Reserved
#
# PROJECT:	GEOS
# MODULE:	SDK_C/TextInk
# FILE:		textink.gp
#
# AUTHOR:	Andrew Wilson, June 12, 1991
#
# DESCRIPTION:	This file contains Geode definitions for the "TextInk" sample
#		application. This file is read by the GLUE linker to
#		build this application.
#
#IMPORTANT:
#
# RCS STAMP:
#	$Id: textink.gp,v 1.1 94/04/04 14:30:08 andrew Exp $
#
##############################################################################
#
name textink.app
#
longname "C Text/Ink Hybrid"
#
type	appl, process,single
#
class	TextInkProcessClass
#
appobj	TextInkApp
#
tokenchars "SAMP"
tokenid 8
#

#
library	geos
library	ui
library pen
library text

#
# Resources: list all resource blocks which are used by the application.
# (standard discardable code resources do not need to be mentioned).
#
resource APPRESOURCE ui-object
resource DISPLAYUI ui-object
resource INTERFACE ui-object
resource DOCUMENTUI object
resource TEMPLATERESOURCE object read-only shared

export TextInkProcessClass
export TextInkDocumentClass
export TextInkTextClass
export TextInkInkClass



