##############################################################################
#
#	Copyright (c) Geoworks 1990-1994 -- All Rights Reserved
#
# PROJECT:	GEOS
# MODULE:	Levels (Sample GEOS application)
# FILE:		levels.gp
#
# AUTHOR:	Tony Requist
#
# DESCRIPTION:	This file contains Geode definitions for the "Levels" sample
#		application. This file is read by the GLUE linker to
#		build this application.
#
# RCS STAMP:
#	$Id: levels.gp,v 1.3.7.2 94/02/10 19:23:55 jenny Exp $
#
##############################################################################
#
name levels.app
#
longname "UI Levels"
#
type	appl, process
#
class	LevelsProcessClass
#
appobj	LevelsApp
#
# This token must match both the token in the GenApplication and the token
# in the GenUIDocumentControl.
#
tokenchars "SAMP"
tokenid 8
#
library	geos
library	ui
library text
#
resource AppResource ui-object
resource Strings lmem read-only shared
resource Interface ui-object
resource OptionsMenuUI ui-object
resource UserLevelUI ui-object
#
export LevelsApplicationClass
